import Vue from "vue"
import {
  Col,
  Form,
  FormItem,
  RadioGroup,
  Radio,
  CheckboxGroup,
  Checkbox,
  Input,
  Dialog,
  Table,
  TableColumn,
  Select,
  Option,
  DatePicker,
  Button,
  Pagination,
  Upload,
  Popover,
  Message,
  MessageBox,
  Cascader,
  Row,
  Image,
  Switch,
  Tooltip
} from "element-ui"
Vue.use(Col)
Vue.use(Form)
Vue.use(FormItem)
Vue.use(Input)
Vue.use(Dialog)
Vue.use(Table)
Vue.use(TableColumn)
Vue.use(Select)
Vue.use(Option)
Vue.use(DatePicker)
Vue.use(Button)
Vue.use(Pagination)
Vue.use(RadioGroup)
Vue.use(Radio)
Vue.use(CheckboxGroup)
Vue.use(Checkbox)
Vue.use(Upload)
Vue.use(Popover)
Vue.use(Cascader)
Vue.use(Row)
Vue.use(Image)
Vue.use(Switch)
Vue.use(Tooltip)

Vue.prototype.$msgbox = MessageBox;
Vue.prototype.$alert = MessageBox.alert;
Vue.prototype.$confirm = MessageBox.confirm;
Vue.prototype.$prompt = MessageBox.prompt;
Vue.prototype.$message = Message;